---
title: "Consistency"
tags: ["FOSS"]
date: 2021-04-04T00:00:00-05:00
draft: false
---
I've seen a lot of talk about this stuff:

-  "Check out my FOSS project (hosted on Github)"
-  "Wayland is a great innovation and boon to the community! Also, there are very few tools/alternatives available yet for your favorite X11 tool!"
-  "We love open source! Also, we develop the most popular proprietary operating system!"
-  "Do as I say, not as I do."

We love to poke fun at and expose this kind of stuff, which is all fine and
dandy. I think it's an interesting (and important) part of our humanity that
this kind of thing bugs us so much. Think about that last point, which at least
in my experience, is something I *loved* to fault authorities for.

Hypocrisy is fun and also infuriating to uncover in others, but how often do
we do a "consistency check" on ourselves? Is what we are saying evidenced by
the rest of our actions?

That's a hard look sometimes. I know it is for me, since I'm **very** quick
to judge others, but don't often think about how I fail at my own principles.

Example: As a FOSS advocate, it's nearly natural to assume that everything will
be better and easier with more people using FOSS. When evidence seems to point
to the contrary (e.g. fighting with Matrix/Element to get it working for my
family and friends), I don't own up to the fact that it isn't easier, and that
is an actual problem.

If we truly want to build a welcoming and wholesome community, let's be careful
to do a consistency check to make sure nothing smells foul.
